require 'json'
require 'open-uri'

module Kimono
  class << self
    def load(id, opts={})
      url =  "https://www.kimonolabs.com/api/#{id}"
      unless opts.empty?
        url += "?"
        url += opts.map{|k,v| "#{k}=#{v}"}.join("&")
      end
      response = open(url, {ssl_verify_mode: OpenSSL::SSL::VERIFY_NONE}).read
      json = JSON.parse(response)
    end
  end
end
